Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 04 Mar 2023 03:58:16 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi, 

I will advise you look for another delivery agent for my orders. As a customer, I shouldn't be at the mercy of an irresponsible delivery man. Who does not know his job or has no time to do his job.

Your delivery man has shown gross irresponsibility in his duty. I patronise so many online shops in UAE and l have never had this kinda experience with delivery. This is the 4th day am yet to recieve an order that's suppose to be delivered on 28th Feb. And this is the 3rd time, I am complaining and yet nothing is done about it.

Thanks. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5785590